### Eclipse Workspace Patch 1.0
#P fluid-components
Index: src/webapp/fluid-components/html/templates/Uploader.html
===================================================================
--- src/webapp/fluid-components/html/templates/Uploader.html	(revision 6763)
+++ src/webapp/fluid-components/html/templates/Uploader.html	(working copy)
@@ -10,7 +10,7 @@
         
         <!-- Fluid and jQuery Dependencies -->
         <script src="../../js/jquery/jquery-1.3.2.js" type="text/javascript"></script>
-        <script src="../../js/jquery/jARIA.js" type="text/javascript"></script>
+        <script src="../../js/jquery/ui.core.js" type="text/javascript"></script>
         <script src="../../js/jquery/jquery.keyboard-a11y.js" type="text/javascript"></script>
         <script src="../../js/swfupload/swfobject.js" type="text/javascript"></script>
         <script src="../../js/swfupload/swfupload.js" type="text/javascript"></script>
Index: src/webapp/fluid-components/js/fluid/uploader/Progress.js
===================================================================
--- src/webapp/fluid-components/js/fluid/uploader/Progress.js	(revision 6763)
+++ src/webapp/fluid-components/js/fluid/uploader/Progress.js	(working copy)
@@ -83,24 +83,24 @@
     };
         
     var initARIA = function (ariaElement) {
-        ariaElement.ariaRole("progressbar");
-        ariaElement.ariaState("valuemin", "0");
-        ariaElement.ariaState("valuemax", "100");
-        ariaElement.ariaState("live", "assertive");
-        ariaElement.ariaState("busy", "false");
-        ariaElement.ariaState("valuenow", "0");
-        ariaElement.ariaState("valuetext", "");
+        ariaElement.attr("role","progressbar");
+        ariaElement.attr("aria-valuemin", "0");
+        ariaElement.attr("aria-valuemax", "100");
+        ariaElement.attr("aria-live", "assertive");
+        ariaElement.attr("aria-busy", "false");
+        ariaElement.attr("aria-valuenow", "0");
+        ariaElement.attr("aria-valuetext", "");
     };
     
     var updateARIA = function (that, percent) {
         var busy = percent < 100 && percent > 0;
-        that.ariaElement.ariaState("busy", busy);
-        that.ariaElement.ariaState("valuenow", percent);    
+        that.ariaElement.attr("aria-busy", busy);
+        that.ariaElement.attr("aria-valuenow", percent);    
         if (busy) {
             var busyString = fluid.stringTemplate(that.options.ariaBusyText, {percentComplete : percent});                  
-            that.ariaElement.ariaState("valuetext", busyString);
+            that.ariaElement.attr("aria-valuetext", busyString);
         } else if (percent === 100) {
-            that.ariaElement.ariaState("valuetext", that.options.ariaDoneText);
+            that.ariaElement.attr("aria-valuetext", that.options.ariaDoneText);
         }
     };
         
Index: src/webapp/fluid-components/js/fluid/uploader/Uploader.js
===================================================================
--- src/webapp/fluid-components/js/fluid/uploader/Uploader.js	(revision 6763)
+++ src/webapp/fluid-components/js/fluid/uploader/Uploader.js	(working copy)
@@ -691,7 +691,8 @@
                     progressBar: ".fl-scroller-table-foot",
                     displayElement: ".total-progress", 
                     label: ".total-file-progress",
-                    indicator: ".total-progress"
+                    indicator: ".total-progress",
+                    ariaElement: ".total-progress"
                 }
             }
         },
Index: src/webapp/fluid-components/js/fluid/uploader/SWFUploadManager.js
===================================================================
--- src/webapp/fluid-components/js/fluid/uploader/SWFUploadManager.js	(revision 6763)
+++ src/webapp/fluid-components/js/fluid/uploader/SWFUploadManager.js	(working copy)
@@ -46,7 +46,7 @@
             
             // Do our best to make the Flash movie as accessible as possib
             fluid.tabindex(flashMovie, 0);
-            flashMovie.ariaRole("button");
+            flashMovie.attr("role","button");
             flashMovie.attr("alt", "Browse files button");
             
             if (that.isTransparent) {
